From c23683ac05057617f184598ae6e41160cf3d32cf Mon Sep 17 00:00:00 2001
From: sahbot <support.opensource@softathome.com>
Date: Fri, 21 Apr 2023 12:20:08 +0200
Subject: [PATCH] Issue: HOP-3347 Handle a dot in the NetDev name [fix]

GitOrigin-RevId: bb90fb785b164a9a4502bda8337283575df0c205
---
 src/ppp_subscription_utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/ppp_subscription_utils.c b/src/ppp_subscription_utils.c
index ffb1596..87abe3c 100644
--- a/src/ppp_subscription_utils.c
+++ b/src/ppp_subscription_utils.c
@@ -221,7 +221,7 @@ void netdev_link_state_subscription_new(ppp_info_t* ppp) {
     ctx = amxb_be_who_has("NetDev.Link.");
     when_null_trace(ctx, exit, WARNING, "ctx not known, no subscription created");
 
-    amxc_string_setf(&expr, "object == 'NetDev.Link.%s.' && "
+    amxc_string_setf(&expr, "eobject == 'NetDev.Link.[%s].' && "
                      "contains('parameters.State')", ppp_name);
     if(ppp->netdev_status_subscription != NULL) {
         amxb_subscription_delete(&(ppp->netdev_status_subscription));
-- 
GitLab

